<!-- Ajouter une observation -->
<div class="modal-header">
    <h4 class="modal-title">AJOUTER UNE OBSERVATION</h4>
    <button type="button" class="close" aria-label="Close" (click)="closeModal()">
        <span aria-hidden="true">&times;</span>
    </button>
</div>

<div class="modal-body add-obs">
    <app-species-site-obs-form [data]="data" [species_site_id]="data.species_site_id"></app-species-site-obs-form>
</div>

<div class="modal-footer" *ngIf="form.readyToDisplay && !loading">
    <button type="submit" [disabled]="!form.observationForm.valid"
        class="btn btn-default btn-outline-primary rounded-0 m-1" (click)="committedAndShowObs()">
        Valider et voir mes observations
    </button>
    <button type="submit" [disabled]="!form.observationForm.valid"
        class="btn btn-default btn-outline-primary rounded-0 m-1" (click)="committed()">
        Valider l'observation
    </button>
</div>

<div *ngIf="loading">
    <div id="form-loading">
        <div class="loading-text">
            <h4>Chargement en cours...</h4>
        </div>
        <div id="spinner">
            <div class="loader-1"></div>
            <div class="loader-2"></div>
            <div class="loader-3"></div>
        </div>
    </div>
</div>